TlbAbstractMethod (JNA API)
Description: declaration: package: com.sun.jna.platform.win32.COM.tlb.imp, class: TlbAbstractMethod

Package com.sun.jna.platform.win32.COM.tlb.imp

# Class TlbAbstractMethod

java.lang.Object
com.sun.jna.platform.win32.COM.tlb.imp.TlbBase
com.sun.jna.platform.win32.COM.tlb.imp.TlbAbstractMethod

All Implemented Interfaces:
  `Variant`

Direct Known Subclasses:
  `TlbFunctionDispId`, `TlbFunctionStub`, `TlbFunctionVTable`, `TlbPropertyGet`, `TlbPropertyGetStub`, `TlbPropertyPut`, `TlbPropertyPutStub`

public abstract class TlbAbstractMethod extends TlbBase implements Variant
The Class TlbFunction.

Author:
  Tobias Wolf, wolf.tobias@gmx.net

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.sun.jna.platform.win32.Variant

  `Variant.VARIANT, Variant.VariantArg`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `docStr`
  `protected OaIdl.MEMBERID`
  `memberid`
  `protected String`
  `methodName`
  `protected String`
  `methodparams`
  `protected String`
  `methodvariables`
  `protected short`
  `paramCount`
  `protected String`
  `returnType`
  `protected TypeInfoUtil.TypeInfoDoc`
  `typeInfoDoc`
  `protected short`
  `vtableId`

  ### Fields inherited from class com.sun.jna.platform.win32.COM.tlb.imp.TlbBase

  `bindingMode, classBuffer, content, CR, CRCR, filename, IDISPATCH_METHODS, index, IUNKNOWN_METHODS, name, TAB, TABTAB, templateBuffer, typeInfoUtil, typeLibUtil`

  ### Fields inherited from interface com.sun.jna.platform.win32.Variant

  `VARIANT_FALSE, VARIANT_TRUE, VT_ARRAY, VT_BLOB, VT_BLOB_OBJECT, VT_BOOL, VT_BSTR, VT_BSTR_BLOB, VT_BYREF, VT_CARRAY, VT_CF, VT_CLSID, VT_CY, VT_DATE, VT_DECIMAL, VT_DISPATCH, VT_EMPTY, VT_ERROR, VT_FILETIME, VT_HRESULT, VT_I1, VT_I2, VT_I4, VT_I8, VT_ILLEGAL, VT_ILLEGALMASKED, VT_INT, VT_INT_PTR, VT_LPSTR, VT_LPWSTR, VT_NULL, VT_PTR, VT_R4, VT_R8, VT_RECORD, VT_RESERVED, VT_SAFEARRAY, VT_STORAGE, VT_STORED_OBJECT, VT_STREAM, VT_STREAMED_OBJECT, VT_TYPEMASK, VT_UI1, VT_UI2, VT_UI4, VT_UI8, VT_UINT, VT_UINT_PTR, VT_UNKNOWN, VT_USERDEFINED, VT_VARIANT, VT_VECTOR, VT_VERSIONED_STREAM, VT_VOID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TlbAbstractMethod(int index, TypeLibUtil typeLibUtil, OaIdl.FUNCDESC funcDesc, TypeInfoUtil typeInfoUtil)`
  Instantiates a new tlb function.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDocStr()`
  `String`
  `getMethodName()`
  `protected String`
  `getType(OaIdl.ELEMDESC elemDesc)`
  `protected String`
  `getType(OaIdl.FUNCDESC funcDesc)`
  `protected String`
  `getType(OaIdl.TYPEDESC typeDesc)`
  `TypeInfoUtil.TypeInfoDoc`
  `getTypeInfoDoc()`
  `protected String`
  `getUserdefinedType(OaIdl.HREFTYPE hreftype)`
  `protected String`
  `getVarType(WTypes.VARTYPE vt)`
  Gets the var type.
  `protected String`
  `replaceJavaKeyword(String name)`

  ### Methods inherited from class com.sun.jna.platform.win32.COM.tlb.imp.TlbBase

  `createClassName, createContent, createPackageName, getClassBuffer, getClassTemplate, getFilename, getName, isDispIdMode, isReservedMethod, isVTableMode, log, logError, logInfo, readTemplateFile, replaceVariable, setFilename, setName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### typeInfoDoc

    protected TypeInfoUtil.TypeInfoDoc typeInfoDoc

  - ### methodName

    protected String methodName

  - ### docStr

    protected String docStr

  - ### vtableId

    protected short vtableId

  - ### memberid

    protected OaIdl.MEMBERID memberid

  - ### paramCount

    protected short paramCount

  - ### returnType

    protected String returnType

  - ### methodparams

    protected String methodparams

  - ### methodvariables

    protected String methodvariables

- ## Constructor Details

  - ### TlbAbstractMethod

    public TlbAbstractMethod(int index, TypeLibUtil typeLibUtil, OaIdl.FUNCDESC funcDesc, TypeInfoUtil typeInfoUtil)
    Instantiates a new tlb function.
    Parameters:
      `index` - the index
      `typeLibUtil` - the type lib util
      `funcDesc` - the func desc
      `typeInfoUtil` - the type info util

- ## Method Details

  - ### getTypeInfoDoc

    public TypeInfoUtil.TypeInfoDoc getTypeInfoDoc()

  - ### getMethodName

    public String getMethodName()

  - ### getDocStr

    public String getDocStr()

  - ### getVarType

    protected String getVarType(WTypes.VARTYPE vt)
    Gets the var type.
    Parameters:
      `vt` - the vt
    Returns:
      the var type

  - ### getUserdefinedType

    protected String getUserdefinedType(OaIdl.HREFTYPE hreftype)

  - ### getType

    protected String getType(OaIdl.FUNCDESC funcDesc)

  - ### getType

    protected String getType(OaIdl.ELEMDESC elemDesc)

  - ### getType

    protected String getType(OaIdl.TYPEDESC typeDesc)

  - ### replaceJavaKeyword

    protected String replaceJavaKeyword(String name)